Bug 333311 - yum-updatesd leaves TCP connections in CLOSE_WAIT state
yum-updatesd leaves TCP connections in CLOSE_WAIT state
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-updatesd (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-15 20:44 EDT by Juha Leppänen
Modified: 2008-05-28 15:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:04:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juha Leppänen 2007-10-15 20:44:08 EDT
Description of problem:

yum-updatesd leaves connections in CLOSE_WAIT state forever
with 1 byte in Recv-Queue.

netstat --inet -a
Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address       Foreign Address             State      
tcp        0      0 localhost.XXX:smtp  *:*                         LISTEN 
tcp        1      0 host-212-XXXX:51237 ftp.cica.es:http            CLOSE_WAIT  
tcp        1      0 host-212-XXXX:34460 ie.freshrpms.net:http       CLOSE_WAIT  
tcp        1      0 host-212-XXXX:37594 ftp.esat.net:http           CLOSE_WAIT  
tcp        1      0 host-212-XXXX:34458 ie.freshrpms.net:http       CLOSE_WAIT  
tcp        1      0 host-212-XXXX:54759 admin.fedora.redhat.co:http CLOSE_WAIT  
....

Version-Release number of selected component (if applicable):
yum-updatesd-3.2.5-1.fc7

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Juha Leppänen 2007-10-25 19:25:11 EDT
Using

yum-3.2.7-1.fc7
yum-metadata-parser-1.1.0-2.fc7
yum-updatesd-3.2.7-1.fc7

Just booted my machine (last updated on yesterday) and
it took about 20-30 minutes before got popup announcing 4 new updates.
Between boot and popup yum-updatesd connected to a mirror, downloading again
and again file /var/cache/yum/fedora/primary.sqlite.bz,
about 4MB in size, with full speed of my connection.
Then after some time downloading stopped and a new connection was made to other
mirror and same downloading continued. Then again after some time another mirror
and ...

In total, after update was successfully completed, 11 connections in CLOSE_WAIT
state and I noticed only one connection closed OK.

Noticed also bug #287371, maybe describing same problem?
Comment 2 Bug Zapper 2008-05-14 10:45:18 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jeremy Katz 2008-05-28 15:04:07 EDT
I don't see this with newer relesaes.  Please reopen if you see this with more
current releases of Fedora

Note You need to log in before you can comment on or make changes to this bug.